commit:     0d69c92bbae1266d7dd6130ef924861d0a73fe9f
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 27 07:54:11 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Aug 27 07:55:30 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d69c92b

net-wireless/spectools: Add fix for ncurses[tinfo]

Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=490976

Package-Manager: portage-2.2.20.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 .../spectools-2011.08.1_p20140618-tinfo.patch      | 41 ++++++++++++++++++++++
 net-wireless/spectools/metadata.xml                | 10 +++---
 ...ild => spectools-2011.08.1_p20140618-r1.ebuild} | 16 ++++++---
 .../spectools/spectools-2011.08.1_p20140618.ebuild |  7 ++--
 net-wireless/spectools/spectools-9999.ebuild       | 16 ++++++---
 5 files changed, 74 insertions(+), 16 deletions(-)

diff --git 
a/net-wireless/spectools/files/spectools-2011.08.1_p20140618-tinfo.patch 
b/net-wireless/spectools/files/spectools-2011.08.1_p20140618-tinfo.patch
new file mode 100644
index 0000000..c5ef348
--- /dev/null
+++ b/net-wireless/spectools/files/spectools-2011.08.1_p20140618-tinfo.patch
@@ -0,0 +1,41 @@
+ configure.in | 21 +++++++++++----------
+ 1 file changed, 11 insertions(+), 10 deletions(-)
+
+diff --git a/configure.in b/configure.in
+index a15258c..af4ae57 100644
+--- a/configure.in
++++ b/configure.in
+@@ -131,22 +131,23 @@ AC_CHECK_LIB([usb], [usb_init], AC_DEFINE(HAVE_LIBUSB, 
1, LibUSB) LIBS="$LIBS -l
+ dnl Look for curses/libcurses
+ termcontrol="none";
+ 
+-AC_CHECK_LIB([ncurses], [initscr], 
++PKG_CHECK_MODULES([NCURSES], [ncurses], [foundhcurses=yesyes 
curseaux="${NCURSES_LIBS}" termcontrol="ncurses"], [
++      AC_CHECK_LIB([ncurses], [initscr], 
+                        AC_DEFINE(HAVE_LIBNCURSES, 1, NCurses terminal lib) \
+                        foundlcurses=yes curseaux="-lncurses" 
termcontrol="ncurses" )
+ 
+-if test "$foundlcurses" != "yes"; then
+-      AC_CHECK_LIB([curses], [initscr],
++      if test "$foundlcurses" != "yes"; then
++              AC_CHECK_LIB([curses], [initscr],
+                        AC_DEFINE(HAVE_LIBCURSES, 1, Curses terminal lib) \
+                        foundlcurses=yes curseaux="-lcurses" 
termcontrol="curses" )
+-fi
+-
+-if test "$termcontrol" = "ncurses"; then
+-      AC_CHECK_HEADER([ncurses.h], [foundhcurses=yes])
+-elif test "$termcontrol" = "curses"; then
+-      AC_CHECK_HEADER([curses.h], [foundhcurses=yes])
+-fi
++      fi
+ 
++      if test "$termcontrol" = "ncurses"; then
++              AC_CHECK_HEADER([ncurses.h], [foundhcurses=yes])
++      elif test "$termcontrol" = "curses"; then
++              AC_CHECK_HEADER([curses.h], [foundhcurses=yes])
++      fi
++])
+ if test "$foundhcurses$foundlcurses" != "yesyes"; then
+       AC_MSG_WARN(*** Could not find curses library.  Curses grapher will not 
be built.)
+ else

diff --git a/net-wireless/spectools/metadata.xml 
b/net-wireless/spectools/metadata.xml
index 97e9931..2ad84fc 100644
--- a/net-wireless/spectools/metadata.xml
+++ b/net-wireless/spectools/metadata.xml
@@ -16,9 +16,9 @@
                <name>Robin H. Johnson</name>
                <description>Maintainer, has 1st gen WiSpy hardware for 
testing</description>
        </maintainer>
-<use>
-       <flag name="debug">Build the raw output client for spectools. (for 
developers)</flag>
-       <flag name="ncurses">Build the ncurses based client for spectools</flag>
-       <flag name="gtk">Build the gtk-2 based client for spectools</flag>
-</use>
+       <use>
+               <flag name="debug">Build the raw output client for spectools. 
(for developers)</flag>
+               <flag name="ncurses">Build the ncurses based client for 
spectools</flag>
+               <flag name="gtk">Build the gtk-2 based client for 
spectools</flag>
+       </use>
 </pkgmetadata>

diff --git a/net-wireless/spectools/spectools-2011.08.1_p20140618.ebuild 
b/net-wireless/spectools/spectools-2011.08.1_p20140618-r1.ebuild
similarity index 85%
copy from net-wireless/spectools/spectools-2011.08.1_p20140618.ebuild
copy to net-wireless/spectools/spectools-2011.08.1_p20140618-r1.ebuild
index b30e6ce..6648268 100644
--- a/net-wireless/spectools/spectools-2011.08.1_p20140618.ebuild
+++ b/net-wireless/spectools/spectools-2011.08.1_p20140618-r1.ebuild
@@ -1,9 +1,10 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
-inherit udev toolchain-funcs
+
+inherit autotools eutils toolchain-funcs udev
 
 MY_PN=${PN}
 MY_PV=${PV/\./-}
@@ -27,14 +28,21 @@ LICENSE="GPL-2"
 SLOT="0"
 IUSE="debug +ncurses +gtk"
 
-RDEPEND="virtual/libusb:0
-       ncurses? ( sys-libs/ncurses )
+RDEPEND="
+       virtual/libusb:0
+       ncurses? ( sys-libs/ncurses:0= )
        gtk? ( x11-libs/gtk+:2 )"
 DEPEND="${RDEPEND}
        virtual/pkgconfig"
 # Upstream has still not migrated to the libusb-1 line.
 # Maemo: Add hildon and bbus
 
+src_prepare() {
+       epatch "${FILESDIR}"/${P}-tinfo.patch
+       mv configure.{in,ac} || die
+       eautoreconf
+}
+
 # Please note that upstream removed the --with-gtk-version option
 # and GTK is now automagical. GTK1 support was also removed.
 src_compile() {

diff --git a/net-wireless/spectools/spectools-2011.08.1_p20140618.ebuild 
b/net-wireless/spectools/spectools-2011.08.1_p20140618.ebuild
index b30e6ce..650868c 100644
--- a/net-wireless/spectools/spectools-2011.08.1_p20140618.ebuild
+++ b/net-wireless/spectools/spectools-2011.08.1_p20140618.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -27,8 +27,9 @@ LICENSE="GPL-2"
 SLOT="0"
 IUSE="debug +ncurses +gtk"
 
-RDEPEND="virtual/libusb:0
-       ncurses? ( sys-libs/ncurses )
+RDEPEND="
+       virtual/libusb:0
+       ncurses? ( sys-libs/ncurses:0= )
        gtk? ( x11-libs/gtk+:2 )"
 DEPEND="${RDEPEND}
        virtual/pkgconfig"

diff --git a/net-wireless/spectools/spectools-9999.ebuild 
b/net-wireless/spectools/spectools-9999.ebuild
index e5c5de4..2b88fdc 100644
--- a/net-wireless/spectools/spectools-9999.ebuild
+++ b/net-wireless/spectools/spectools-9999.ebuild
@@ -1,9 +1,10 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
-inherit udev toolchain-funcs
+
+inherit autotools eutils toolchain-funcs udev
 
 MY_PN=${PN}
 MY_PV=${PV/\./-}
@@ -27,14 +28,21 @@ LICENSE="GPL-2"
 SLOT="0"
 IUSE="debug +ncurses +gtk"
 
-RDEPEND="virtual/libusb:0
-       ncurses? ( sys-libs/ncurses )
+RDEPEND="
+       virtual/libusb:0
+       ncurses? ( sys-libs/ncurses:0= )
        gtk? ( x11-libs/gtk+:2 )"
 DEPEND="${RDEPEND}
        virtual/pkgconfig"
 # Upstream has still not migrated to the libusb-1 line.
 # Maemo: Add hildon and bbus
 
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-2011.08.1_p20150618-tinfo.patch
+       mv configure.{in,ac} || die
+       eautoreconf
+}
+
 # Please note that upstream removed the --with-gtk-version option
 # and GTK is now automagical. GTK1 support was also removed.
 src_compile() {

Reply via email to